:host {
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
  border: 1px solid black;
}

:host > div {
  width: 30%;
}

form > div {
  margin: 20px 0;
}

.btn-container {
  text-align: right;
}

.btn-container button {
  width: 30%;
}

input.ng-invalid.ng-touched {
  border: 1px solid red;
}

.error-message {
  width: 100%;
  margin-top: .25rem;
  font-size: 80%;
  color: #dc3545;
}

.server-error-message {
  background: red;
}
